> For the complete documentation index, see [llms.txt](https://docs.appfarm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appfarm.io/reference/flows/api-explorer.md).

# API Explorer

The API Explorer is a user interface for the documentation and testing of [Flow](/reference/flows.md) [API Endpoints](/reference/flows/api-endpoints.md), based on Swagger UI.

### Access

For the API Explorer to be reachable in a given environment, the **Enable Flow Service** checkbox must be selected in the [Environment Configuration](/reference/configuration/environments.md#general-settings).

There are several ways to access the API Explorer:

* Visit the URL https\://`SOLUTION-HOSTNAME`/api/flows/inspect. Note that the solution hostname is environment-specific.
* Inside a Flow, click the tools icon in the toolbar, then click **API Explorer** for the relevant environment.

Access to the API Explorer is authenticated and requires a role with client access to that specific environment.

### Usage

All endpoints are grouped by Flow. By expanding an endpoint, you can view its details and parameters. Click **Try it out** to enable the parameter input fields and reveal an **Execute** button. Clicking **Execute** will call the endpoint with the specified parameters and reveal the response.

Note that when you execute an endpoint from the API Explorer, the endpoint is run by your user with the corresponding role(s). This means that during testing, you will often have full access to all object classes and Flows. When an endpoint is triggered by an external system, a service account is used. If an endpoint works for you but not when called by an external system, make sure the service account has sufficient permissions.

If you use a tool like [Postman](https://www.postman.com/) or need to share details of your API with an external party, you can download an OpenAPI specification of your Flow endpoints. The specification can be downloaded at https\://`SOLUTION-HOSTNAME`/api/flows/openapi.json.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.appfarm.io/reference/flows/api-explorer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
